Kerbal Space Program - Bug #9392

Asteroids now spawn with a mass of 150t, regardless of class.
04/21/2016 11:31 PM - ikzann

Status: Closed Start date: 04/21/2016
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.1.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Title says it all. I've tested class E but it seems like others on the forums have tested others.

History

#1 - 04/22/2016 12:35 PM - Squelch

- Status changed from New to Need More Info

Please could some evidence and examples be provided? How is this phenomenon being presented? Does it manifest in any particular game type, or
all?

#2 - 04/22/2016 05:11 PM - TrekkieTechie

Please could some evidence and examples be provided?

What do you need? Screenshots? Save files?

For what it's worth, | can offer up into "evidence" my own testimonial -- the three E-class asteroids I've intercepted after upgrading to 1.1 have been
exactly 150 tons, which should put them square in the C class. Here are other user testimonials:
http://forum.kerbalspaceprogram.com/index.php?/topic/137641-ksp-11-asteroid-mass/

How is this phenomenon being presented?
E-class asteroids appear their expected size, but only mass 150 tons (per the right-click context menu). This low mass is confirmed both by mining
(resources are depleted quickly) and maneuverability (the asteroids are much easier to control).

Does it manifest in any particular game type, or all?

| have only played sandbox, so | can vouch for the issue appearing there. | haven't checked other modes, or other classes of asteroid.

#3 - 04/22/2016 07:21 PM - Kron
- File alcass.jpg added
- File eclass.jpg added

Here are images for an A and an E class asteroid. | checked this for most of the asteroid classes on an unmodded 1.1 install (steam win64) in
sandbox mode. The spatial dimensions seem correct, but the mass is always 150t. | think the mass is coming directly from the potatoroid config file.
The 150t mass plus the vessel mass is shown in the vessel information tab so its not just the right click menu.

The bug is fairly easy to recreate. You just need to track an asteroid and then send a vessel with a claw to catch it and check its mass.
#4 - 04/29/2016 11:41 PM - ikzann

Can confirm it also happens in career mode. Seems like this should be a pretty easy fix... | would make a mod to fix it but don't want to unless it's
going to be a long time before Squad fixes.
http://forum.kerbalspaceprogram.com/index.php?/topic/137641-ksp-11-asteroid-mass/

#5 - 04/30/2016 07:03 PM - babyaaronman

Confirmed as well. Class A asteroid is 150 tons in Career Mode.

#6 - 05/29/2016 10:21 PM - achurch

Just for the record, this is still present in 1.1.2 (Linux 64-bit, though | doubt it's a platform-specific issue).
Upgraded the Tracking Station to level 3, got 7 asteroids (1 class B, 3 class C, 1 class D, 2 class E), checked the save file and all had a mass of
exactly 150 tons.

#8 - 06/09/2016 06:09 AM - LimB
- Status changed from Need More Info to Updated
- % Done changed from 0 to 10

In my career game started after 1.1.2 was released | have encountered three asteroids, one each of class A, C, and E. All were exactly 150.00000t

#9 - 06/26/2016 05:35 AM - achurch

This was listed as fixed in the version 1.1.3 release notes, but unfortunately it's not. | took the same save | tested in my comment above, tracked all
untracked asteroids, waited for a new one to spawn, tracked that one (to see its name), checked its mass in the save file, and the mass was exactly
150t despite being class A.

#10 - 07/10/2016 09:53 AM - TriggerAu
- Status changed from Updated to Closed
- % Done changed from 10 to 100

Resolved in 1.1.3

#11 - 07/10/2016 09:53 AM - TriggerAu
- Status changed from Closed to Updated
- % Done changed from 100 to 10

Woops - wrong ticket. apologies

#12 - 07/10/2016 09:54 AM - TriggerAu
Mind sharing the save file AChurch?

#13 - 07/10/2016 04:13 PM - achurch
- File classE-150t.sfs added

That particular save has grown huge (>7MB), but it's easy to reproduce by starting a new sandbox save and going to the tracking station. |
attached one that gave me a class E with mass = 150.

ve

#14 - 07/19/2016 12:43 PM - sal_vager
- File screenshot858.png added

- File screenshot859.png added

- File quicksave #15.sfs added

But did you actually go to the asteroid?
All new asteroids spawn with a 150 ton placeholder mass, and they update when the player enters physics range.
For example here's a roid that appeared in my save today:

VESSEL
{
pid = 21633133bec84cbe97a2becl3fb89c9l
name = Ast. WPL-716
type = SpaceObject
sit = ORBITING
landed = False
landedAt =
splashed = False
met = 5807659.11671695
It's class A and 150 tons, note the details are incomplete.

And here's the same roid when | get within physics range:

lct
last
root
lat
lon
alt
hgt
nrm
rot
CoM
stg
prst
ref
ctrl
ORBI
{

PART

VESSEL

{

04/19/2024

pid

name
type
sit

land
land
spla

met =

lct
last
root
lat

= -0.1706567,-0.2535166,-0.9518965,0.02233103

= 5807659.11671695
UT = -1

=0

= 0.200624179661383

= -109.647367331214

= 14629478014.6593

= -1

=0,1,0

=0,0,0

=0

= False

=0

= False

T

SMA = 14660828627.4783
ECC = 0.0746237337589231
INC = 0.202173721774231
LPE = 189.202052307985
LAN = 327.166904287949
MNA = 0.164141750262757
EPH = 8880134.20216617
REF = 0
name = PotatoRoid

cid = 0
uid = 1535361249
mid = 1535361249
launchID = 0
parent = 0
position = 0,0,0
rotation = 0,0,0,1
mirror = 1,1,1
symMethod = Radial
istg = 0
dstg = 0

sgqor = 0

sepl = 0

sidx = 0
attm = 0

srfN = None, -1
mass = 150
temp = -1
tempExt = 0
tempExtUnexp = 0
expt = 0.1

state = 0

connected = True

attached = True
flag =

rTrf

modCost

= 21633133bec84cbe97a2becl3£fb89c91l

= Ast.

= SpaceObject
= ORBITING
False

ed =
edAt
shed

=0

WPL-716

False

627794.751356091

= 5807659.11671695

uT =
=0

= 0.195543594712764

6435346.45971576
lon = -250.997274547316
alt = 14213829842.9684

hgt = -1

nrm = 0,1,0

rot = -0.4895314,-0.2301238,-0.8340202,0.1086848

CoM = 0,0,0

stg = 0

prst = False

ref =0

ctrl = False

cPch = 0

cHdg = 0

cMod = -1

ORBIT

{
SMA = 14660828627.4783
ECC = 0.0746237337589231
INC = 0.202173721774231
LPE = 189.202052307985
LAN = 327.166904287949

MNA = 0.164141750262757
EPH = 8880134.20216617
REF = 0

PART

name = PotatoRoid
cid = 0

uid 1535361249
mid = 1535361249
launchID = 0
parent = 0
position = 0,0,0
rotation = 0,0,0,1
mirror = 1,1,1
symMethod =
istg = 0
dstg =
sgor =
sepl =
sidx =
attm =
srfN = , -1

mass = 8.417953

temp = 254.264052112611

tempExt = 254.264052022226
tempExtUnexp = 254.264052112611
expt = 0.1

state = 0

connected = True

attached = True

flag =

rTrf = PotatoRoid (Ast. WPL-716)
modCost = 0

EVENTS

{

}

ACTIONS

{

}

PARTDATA

{

}

MODULE

{

’

Radial

o O O O O

name = ModuleAsteroid
isEnabled = True
seed = 33206747
AsteroidName = Ast. WPL-716
prefabBaseURL = Procedural/PA_A
currentState = 1
stagingEnabled = True
EVENTS
{
MakeTarget
active = True
guiActive = True
guiActiveUncommand = False
guiIcon = Target Center of Mass
guiName = Target Center of Mass
category = Target Center of Mass
guiActiveUnfocused = True
unfocusedRange = 500
externalToEVAOnly = False

}

TakeSampleEVAEvent

{
active = True
guiActive = False
guiActiveUncommand = False
guiIcon = Take Sample
guiName = Take Sample
category = Take Sample
guiActiveUnfocused = True
unfocusedRange = 6.352762
externalToEVAOnly = True

}

RenameAsteroidEvent

{
active = True
guiActive = True
guiActiveUncommand = False
guiIcon = Rename Asteroid
guiName = Rename Asteroid
category = Rename Asteroid
guiActiveUnfocused = True
unfocusedRange = 6.352762
externalToEVAOnly = True

}

ToggleStaging

{
active = True
guiActive = False
guiActiveUncommand = False
guiIcon = Disable Staging
guiName = Disable Staging
category = Disable Staging
guiActiveUnfocused = False
unfocusedRange = 2
externalToEVAOnly = True

}
ACTIONS
{
}

}

MODULE

{
name = ModuleAsteroidInfo
isEnabled = True
massThreshold = 1.17851442337036
currentMass = 8.41796016693115
stagingEnabled = True

EVENTS
{
ToggleStaging
{
active = True
guiActive = False
guiActiveUncommand = False
guilcon = Disable Staging
guiName = Disable Staging
category = Disable Staging
guiActiveUnfocused = False
unfocusedRange = 2
externalToEVAOnly = True
}
}
ACTIONS
}

}

{
}

MODULE

{

name = ModuleAsteroidResource
isEnabled = True

abundance = 1
displayAbundance = 0.86
stagingEnabled = True

EVENTS
{
ToggleStaging
{
active = True
guiActive = False
guiActiveUncommand = False
guiIcon = Disable Staging
guiName = Disable Staging
category = Disable Staging
guiActiveUnfocused = False
unfocusedRange = 2
externalToEVAOnly = True
}
}
ACTIONS

{
}

Now it's 8.417953 tons and there's a lot more info in the save file.

All this extra data including the final mass is generated procedurally when the roid becomes 'real’ in the game, so please have another check, this

really /s fixed :)

#15 - 07/19/2016 01:21 PM - achurch

You seem to be correct -- when | got within physics range, the mass changed to about 3300 tons. Thanks for pointing out my error, and sorry for the

confusion!

#16 - 07/19/2016 10:20 PM - sal_vager
- Status changed from Updated to Resolved

- % Done changed from 10 to 100

Thanks for double checking, | was sure | tested this before 1.1.3 released, you had me sweating :)

Marking as resolved!

#17 - 07/20/2016 10:53 AM - TriggerAu

- Status changed from Resolved to Closed

nice guys, well done

Files

alcass.jpg 104 KB 04/22/2016 Kron
eclass.jpg 115 KB 04/22/2016 Kron
classE-150t.sfs 9.03 KB 07/10/2016 achurch
screenshot858.png 369 KB 07/19/2016 sal_vager
screenshot859.png 621 KB 07/19/2016 sal_vager
quicksave #15.sfs 1.82 MB 07/19/2016 sal_vager
